$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.20-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.20-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B62C38206C60EDCED033A6CCC3E204243B2C62AA6EDD958F913915371988801F'
  checksumType = 'sha256'
  checksum64 = 'B62C38206C60EDCED033A6CCC3E204243B2C62AA6EDD958F913915371988801F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.20-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
